Summary
Create Automation
Description
Create a new Automation.
Route
POST /operations-manager/automations
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| automation |
object |
yes |
The details of the Automation document to be created. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"8e08f3b812230d41d5f4a28e",
"8bfdefb206f187cc8c8d961a"
],
"read": [
"022508f3b9f4501cd17ec033"
]
},
"componentId": ""
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| results |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "ucm_compliance_plans",
"createdBy": "Pronghorn",
"created": "2019-07-17T07:36:17.083Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2023-07-14T23:41:08.053Z",
"_id": "ab78e17aec5a2686bb5374c0",
"gbac": {
"write": [
"819d003ff4d65bae682a2a35",
"ada899bba988a7babe39fa47",
"9ad13a3d6383dd50292b1dae",
"41ac46e8abd7cb17f2f12797"
],
"read": [
"3c810f4dfec608eb1faf887f",
"fe25c29d06aa0c7f6f7a9fea"
]
},
"componentId": "3EbEfF8c-EF69-BeE0-C54b-cF3c6cD6Af1A"
}
}